io.vertx.reactivex.ext.auth.oauth2.providers

## Class GitLabAuth

- java.lang.Object
- - io.vertx.reactivex.ext.auth.oauth2.providers.GitLabAuth

-     public class GitLabAuth
      extends Object

  Simplified factory to create an for GitLab.com. https://gitlab.com/help/api/oauth2.md

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GitLabAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitLabAuth(GitLabAuth delegate)`
    `GitLabAuth(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for GitLab.com.
    `static OAuth2Auth` | `create(Vertx vertx, String site, String clientId, String clientSecret)` Create a OAuth2Auth provider for GitLab.
    `static OAuth2Auth` | `create(Vertx vertx, String site, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for GitLab.
    `boolean` | `equals(Object o)`
    `GitLabAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static GitLabAuth` | `newInstance(GitLabAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GitLabAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### GitLabAuth

          public GitLabAuth(GitLabAuth delegate)

    - #### GitLabAuth

          public GitLabAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GitLabAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for GitLab.com.
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by GitLab
        `clientSecret` - the client secret given to you by GitLab
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String site,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for GitLab. This method allows to specify custom GitLab domain.
      Parameters:
        `vertx` -
        `site` - root URL for the provider without trailing slashes, eg. https://gitlab.com
        `clientId` - the client id given to you by GitLab
        `clientSecret` - the client secret given to you by GitLab
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String site,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for GitLab.
      Parameters:
        `vertx` -
        `site` - root URL for the provider without trailing slashes, eg. https://gitlab.com
        `clientId` - the client id given to you by GitLab
        `clientSecret` - the client secret given to you by GitLab
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static GitLabAuth newInstance(GitLabAuth arg)

Copyright © 2024 Eclipse. All rights reserved.